import java.io.*;
import javax.sound.sampled.*;

// This program is a very simple metronome, that plays a fixed sound file 
// periodically every second. It relies on the system scheduler, so the 
// intervals between sounds will not be calculated extremely accurately. 

public class AudioPlayer2 {
    public static void main(String... args) throws Exception {
        try (AudioInputStream ais = 
                AudioSystem.getAudioInputStream(new File("chime.wav"));
            Clip clip = AudioSystem.getClip();) {   
            clip.open(ais);
            
            clip.start();
            while (true) {
                Thread.sleep(1000);
                clip.setFramePosition(0);
                clip.start();
            }   
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}