import java.io.*;
import java.util.Scanner;
import javax.sound.sampled.*;

// This program simply plays a fixed sound file once. Simultaneously, it will  
// echo every input line given to the program, infinitely. 


public class AudioPlayerThreaded {
    public static void main(String... args) throws Exception {
        (new Thread() {
            public void run() {
                try (AudioInputStream ais = 
                        AudioSystem.getAudioInputStream(new File("nav_head_east.wav"));
                    Clip clip = AudioSystem.getClip()) {
                    clip.open(ais);
                    clip.start();
                    
                    Thread.sleep(500000);
                } catch (Exception e) {
                    e.printStackTrace();
                }
            }
        }).start();
        
        Scanner sc = new Scanner(System.in);
        while (sc.hasNextLine()) {
            System.out.println(sc.nextLine());
        }
    }
}